Changes

Jump to navigation Jump to search
m
Text replacement - "<source lang=" to "<syntaxhighlight lang="
Then run the following commands to install the SDK:
<source syntaxhighlight lang="bash">
sudo apt-get update
sudo apt-get install maemo-sdk
Then run the following commands to build/install the tools and compilers:
<source syntaxhighlight lang="bash">
maemo-sdk reload catalogue
sudo maemo-sdk --mirror "http://archive.debian.org/debian/" install tools lenny-2009-1
and then install the dependencies:
<source syntaxhighlight lang="bash">
sb2 -eR apt-get update
sb2 -eR apt-get install libflac-dev libmad0-dev libmpeg2-4-dev libvorbisidec-dev
Install it by running:
<source syntaxhighlight lang="bash">
sb2 -eR dpkg -i git_1.6.2-1_armel.deb
</syntaxhighlight>
Install them by running:
<source syntaxhighlight lang="bash">
sb2 -eR dpkg -i libfaad*.deb
</syntaxhighlight>
Delete the libfaad.so from the SDK environment so that it statically links to libfaad.a instead of dynamically linking to libfaad.so (This version of libfaad.so isn't available in maemo-extra and is thus unavailable to maemo-users)
<source syntaxhighlight lang="bash">
rm ~/.maemo-sdk/rootstraps/armel/diablo4.1.2_armel/usr/lib/libfaad.so*
</syntaxhighlight>
This requires a symlink from backends/platform/maemo/debian to the root of the scummvm checkout:
<source syntaxhighlight lang="bash">
ln -s backends/platform/maemo/debian
</syntaxhighlight>
=== Build Package ===
<source syntaxhighlight lang="bash">
sb2 dpkg-buildpackage -b
</syntaxhighlight>
=== Compile (Without Building Package) ===
<source syntaxhighlight lang="bash">
sb2 ./configure --host=maemo
sb2 make
</syntaxhighlight>
TrustedUser
2,000

edits

Navigation menu